<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

	require('includes/application_top.php');  
	require('includes/classes/currencies.php');
	require('includes/classes/pdfTable.php');
	require(DIR_WS_CLASSES . 'split_page_results_report.php');  
	define(BOX_WIDTH1,'125');
	
	$currencies=new currencies();
	// get initial parameters, check the session for previous settings
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			$HTTP_SESSION_VARS["rep_params"]=$HTTP_POST_VARS;
			$HTTP_SESSION_VARS["rep_params"]["post_action"]="screen";
		} else {
			$HTTP_SESSION_VARS["rep_params"]=array();
		}
	}
	
	$output_pdf=isset($HTTP_POST_VARS['output_pdf'])?true:false;
	$output_excel=isset($HTTP_POST_VARS['output_excel'])?true:false;
	$credit_amount_from=isset($input_params['credit_amount_from'])?$input_params['credit_amount_from']:0;
	$credit_amount_to=isset($input_params['credit_amount_to'])?$input_params['credit_amount_to']:0;
	$post_action=(isset($input_params["post_action"])?$input_params["post_action"]:'');
	$action=(isset($input_params["action"])?$input_params["action"]:'');
	$page=(isset($input_params["page"])?$input_params["page"]:1);

if($post_action=='')
{
	$output_pdf=true;
	$post_action="screen";
}
	
// prepare the display headers to be printed in the pdf page;
	$display_header="";	
	$found_results=false;
	
	//find the customers who made the orders
	$temp_customers_ids='';
	$customer_query=tep_db_query("select customers_id from " . TABLE_WALLET_UPLOADS . " group by customers_id");
	while($customer_result=tep_db_fetch_array($customer_query))
	{
		$customer_id=$customer_result['customers_id'];
		$wallet_balance=tep_get_wallet_balance($customer_id);
		if($wallet_balance<WALLET_MINIMUM_AMOUNT)
		{
		if(round($wallet_balance)>=$credit_amount_from && round($wallet_balance)<=$credit_amount_to)
			$temp_customers_ids.= $customer_id . ',';
		}	
	}
		$customers_ids = substr($temp_customers_ids,0,'-1');
	if($customers_ids!='')
	{		
		$sql="select customers_firstname, customers_lastname, customers_email_address,customers_id from " .  TABLE_CUSTOMERS . " where customers_id in(" . $customers_ids . ")";
		if($post_action=='screen')
			$query_split = new splitPageResultsReport($page, REPORT_MAX_ROWS_PAGE, $sql, $query_split_numrows);
		
			$customer_detail_query=tep_db_query($sql);
			while($customer_detail_result=tep_db_fetch_array($customer_detail_query))
			{
				$balance=tep_get_wallet_balance($customer_detail_result['customers_id']);
				$customer_details[]=array('customers_id'=>$customer_detail_result['customers_id'],
											'firstname'=>$customer_detail_result['customers_firstname'],
											'lastname'=>$customer_detail_result['customers_lastname'],
											'email'=>$customer_detail_result['customers_email_address'],
											'balance'=>$balance);
			}							
	}
				
if(sizeof($customer_details)>0)
{	
	$display_header=sprintf(CREDIT_AMOUNT_FROM_TO, $currencies->format($credit_amount_from) , $currencies->format($credit_amount_to));
	$found_results=true;		
	}


// output to pdf
	if ($post_action=="pdf"){
		generate_pdf();
		tep_redirect(DIR_WS_CATALOG . "images/reports_low_credit.pdf");
		return;
	}	
// output to excel
	if ($post_action=="excel"){
		generate_excel();
		tep_redirect(DIR_WS_CATALOG . "images/reports_low_credit.csv");
		return;
	}
?>

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr>
		<td width="<?php echo BOX_WIDTH; ?>" valign="top">
		<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
			<!-- left_navigation //-->
			<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
			<!-- left_navigation_eof //-->
		</table>
		</td>
		<!-- body_text //-->	  
		<td width=100% align=left valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr>
				<td class="pageHeading"><?php echo HEADING_TITLE;?></td>
			</tr>
			<tr>
				<td class="pageHeading"></td>
			</tr>
			<!-- --->
			<script language="JavaScript">
			function doReport(mode) {
			if((isNaN(document.f.credit_amount_from.value)) || (document.f.credit_amount_from.value<0) || (isNaN(document.f.credit_amount_to.value)) || (document.f.credit_amount_to.value<0))
					{
						alert("<?php echo REPORT_AMOUNT_BE_NUMBER ?>");
						return;
					}	
				if(parseFloat(document.f.credit_amount_from.value) > parseFloat(document.f.credit_amount_to.value))
						{
						alert("<?php echo AMOUNT_TO_MUST_BE_GREATER ; ?>");
						return;
						}
					 if (mode==2){
						document.f.post_action.value="pdf";
						document.f.target="_blank";
					}else if (mode==3){
						document.f.post_action.value="excel"
						document.f.target="_blank";
					}  else {
						document.f.post_action.value="screen";
						document.f.target="_self";
					}
					document.f.submit();
				}
				
			
			</script>
			<?php 
				echo tep_draw_form("f",FILENAME_LOW_CREDIT);
				echo '<input type="hidden" name="post_action" value="">';
				echo '<input type="hidden" name="action" value="search">';
				echo '<input type="hidden" name="page" value="">';
			?>
			<tr>
				<td>
				<table cellspacing="3" cellpadding="2" class="formArea"  border="0" width="100%">
					<tr>
						<td>
						<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr class="main">
								<td align="left" class="main" width="25%">
						<?php 
						echo TEXT_AMOUNT_RANGING_FROM . '&nbsp' . tep_draw_input_field("credit_amount_from",'','size=8');
						
						?>
						</td>
						<td align="left" class="main" width="25%">
						<?php 
						echo '&nbsp;&nbsp;' . TEXT_AMOUNT_TO . '&nbsp&nbsp;' . tep_draw_input_field("credit_amount_to",'','size=8');
						
						?>
						</td>
								<td align="center" class="main" width="15%">
									<?php
										echo '<a href="javascript:doReport();">' . tep_image_button('button_report_search.gif', IMAGE_SEARCH) . '</a>&nbsp;';
									?>
								</td>
								<td align="center" class="main" width="15%">
								<?php echo '<a href="javascript:doReport(2);">' . tep_image_button('button_export_pdf.gif', IMG_EXPORT_PDF) . '</a>';?>
						</td>
						<td align="center" class="main" width="15%" >
							<?php echo '<a href="javascript:doReport(3);">' . tep_image_button('button_export_excel.gif', IMG_EXPORT_EXCEL) . '</a>';?>
						</td>
							</tr>
						</table>
						</td>
					</tr>
				</table>
				</td>
			</tr>
			</form>
			<tr>
				<TD>
					<?php echo tep_draw_separator('pixel_trans.gif',1,10); ?>
				</TD>
			</tr>
		<?php 	if ($found_results){
				?>
					<tr>
						<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td class="smallText" align="left">
									<?php
									 echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
								</td>
							</tr>
						</table>
						</td>
					</tr>
			
			<tr>
				<td>
				<table border="0" cellpadding="1" cellspacing="1" width="100%">
					<tr class='dataTableHeadingRow'>
					  <td class='dataTableHeadingContent' align="left" width="3%" ><?php echo TEXT_ID;?></td>	
					  <td class='dataTableHeadingContent' align="left" ><?php echo TEXT_FIRST_NAME;?></td>
					  <td class='dataTableHeadingContent' align="left" ><?php echo TEXT_LAST_NAME;?></td>
					  <TD class='dataTableHeadingContent' align="left" width="15%" ><?php echo TEXT_BALANCE;?></TD>
					  <TD class='dataTableHeadingContent' align="center" nowrap width="5%"><?php echo TEXT_EMAIL;?></TD>
					</tr>
					
				<?php
				$icnt=1;
				for($i=0;$i<sizeof($customer_details);$i++)
				{
					$cid=$customer_details[$i];
				?>
					
				<tr class='dataTableRow' height="20" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="javascript:location.href='<?php echo tep_href_link(FILENAME_CUSTOMERS,'cID=' . $cid['customers_id'] . '&action=edit&return=ct');?>';">
				<td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $icnt?></td>
				<td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $cid['firstname']  ?></td>
				<td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $cid['lastname'] ?></td>
				<td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $currencies->format($cid['balance']); ?></td>
				<td class='dataTableContent' style="cursor:hand" align="center" valign="top"> <a href="mailto:<?php echo $cid['email']?>"><img src="images/icons/mail.gif" border="0"></a></td>
                  </tr>
				<?php
				$icnt++;
				 } ?>	
					<tr>
						<td><?php echo tep_draw_separator('pixel_trans.gif',1,5);?></td>
					</tr>
					</table>
					</td>
				</tr>
				<?php 	} 
				if(!isset($customer_details))
				{?>
				<tr><td align=left class='main' colspan=8><?php echo TEXT_NO_RESULTS ?></td></tr>
				<?php } ?>
			</table>
			</td>
		</tr>
	</table>
	</td>
</tr>
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php');?>
<!-- footer_eof //-->
<br>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php');
// function to create to pdf content
	function generate_pdf(){
		global $customer_details,$display_header,$currencies;
		
		// set initital parameters
		$table=new pdfTable("A4","l");
		$table->left_margin=20;
		$table->top_margin=20;
		$table->right_margin=20;
		$table->bottom_margin=20;
		$table->pdfInit();
		
		// Add styles for table
		$table->AddStyle("heading","color:#727272;bgcolor:#ffffff;font:Arial;size:18;style:B");
		$table->AddStyle("user","color:#000000;bgcolor:#f1f9fe;font:Arial;size:14;style:B;border-color:#7b9ebd");
		$table->AddStyle("subhead","color:#000000;bgcolor:#7b9ebd;font:Arial;size:10;style:B");
		$table->AddStyle("headrow","color:#000000;bgcolor:#C9C9C9;font:Arial;size:10;style:B");
		$table->AddStyle("row","color:#000000;bgcolor:#F0F1F1;font:Arial;size:10");
		$table->AddStyle("query","color:#000000;bgcolor:#FFFFFF;font:Arial;size:11;style:B;");
		$table->AddStyle("subrow","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10");
		$table->AddStyle("subrowhead","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10;style:B");

		$table->headers["text"]=$display_header;
		$table->headers["style"]="query";
		$table->headers["height"]=12;
		$table->headers["width"]="100%";
		$table->headers["cols"]=3;
		$table->headers["align"]="C";
		
		// define column widths
		$widths[1]=90;
		$widths[2]=90;
		$widths[3]=90;
		$widths[4]=90;
		$widths[5]=90;
		$widths[6]=90;

		$temp_width=$table->width-($widths[1]+$widths[2]+$widths[3]+$widths[4]+$widths[5]+$widths[6]);
		$widths[0]=$temp_width;

		$cols=array();
				$cols[]=array("text"=>TEXT_ID,"width"=>$widths[3],"align"=>"C","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_FIRST_NAME,"width"=>$widths[2],"align"=>"L","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_LAST_NAME,"width"=>$widths[3],"align"=>"L","style"=>"headrow","valign"=>"M");
				$cols[]=array("text"=>TEXT_BALANCE,"width"=>$widths[4],"align"=>"C","style"=>"headrow","valign"=>"M");
			
		// output the content
		$count=1;
		for($icnt=0;$icnt<sizeof($customer_details);$icnt++){
			$row=&$customer_details[$icnt];
			$table->OutputRow($cols,20);
			unset($cols);
	$cols[]=array("text"=>$count,"width"=>$widths[3],"align"=>"C","style"=>"subrow","valign"=>"M");
	$cols[]=array("text"=>($row['firstname']),"width"=>$widths[2],"align"=>"L","style"=>"subrowhead","valign"=>"M");
	$cols[]=array("text"=>($row['lastname']),"width"=>$widths[3],"align"=>"L","style"=>"subrowhead","valign"=>"M");
	$cols[]=array("text"=>($currencies->format($row['balance'])),"width"=>$widths[4],"align"=>"C","style"=>"subrow","valign"=>"M");
				$table->OutputRow($cols,20);
			//	$table->DrawLine();
			//	$table->DrawGap(10);
			$count++;
			unset($cols);
		}
		// create the pdf file
		$table->Render("reports_low_credit.pdf");
	}
	
	function generate_excel(){
		global $customer_details,$currencies;
		//print_r($result_array);
		$count=1;
		$result= TEXT_ID . "," . TEXT_FIRST_NAME . "," . TEXT_LAST_NAME . "," .TEXT_BALANCE . "\n";			
		for($icnt=0;$icnt<sizeof($customer_details);$icnt++){
			$row=&$customer_details[$icnt];
				$balance=$currencies->format($row['balance']);
				$result.=sprintf("\"%s\",\"%s\",\"%s\",\"%s\"\n",$count,$row['firstname'],$row['lastname'],$balance);
			$count++;
		}
		tep_write_text_file("reports_low_credit.csv",$result);
	}

?>
</body>
</html>

