<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
  //require('includes/application_top.php');
  //require(DIR_WS_CLASSES . 'currencies.php');
  define('FPDF_FONTPATH','font/');
  require('includes/fpdf.php');
  
  define('PDF_LEFT_MARGIN',20);
  define('PDF_TOP_MARGIN',10);
  define('PDF_ORIENTATION','P');
  define('PDF_PAGE_FORMAT','A4');
 $currencies = new currencies();
 $result_query=tep_db_query($search_query);
 $cnt=tep_db_num_rows($result_query);
 $action="search";
 $font_name="Arial";
 $font_size=9;
 	class PDF extends FPDF{
		function Header()
		{
			global $columns,$cell_height;
			if ($this->PageNo()>1) {
				$this->SetFillColor(201,201,201);
				$this->SetTextColor(255,255,255);
				$this->SetFont($font_name,'',$font_size);
				for($icnt=0;$icnt<sizeof($columns);$icnt++){
					$this->Cell($columns[$icnt]["width"],$cell_height,$columns[$icnt]["name"],0,0,"L",1);
				}
				$this->Ln();
			}
		}
	}
 
	$pdf=new PDF(PDF_ORIENTATION,"pt",PDF_PAGE_FORMAT);
	$pdf->AliasNbPages();
	$pdf->AddPage();
	$pdf->SetFont($font_name,'',$font_size);
	$pdf->SetAutoPageBreak(true,PDF_TOP_MARGIN);
	$pos_x=0;
	$pos_y=0;
	
	//$cell_width=0;
	$cell_height=12;
	$pdf->SetMargins(PDF_LEFT_MARGIN,PDF_TOP_MARGIN);
	$pdf->Cell(0,15,STORE_NAME,0,0,"C");
	$pdf->Ln();
	if ($search_heading!="") {
		$pdf->MultiCell(0,10,TEXT_SEARCH_NAME . $search_heading);
		$pdf->Ln();
	}
	$pdf->Cell(0,15,TEXT_DATE. date(EVENTS_DATE_FORMAT));
	$pdf->Ln();
	
	$columns=array(array("name"=>TEXT_RESULT_SNO,"width"=>20),
					array("name"=>TEXT_RESULT_FIRSTNAME,"width"=>80),
					array("name"=>TEXT_RESULT_LASTNAME,"width"=>80),
					array("name"=>TEXT_RESULT_SERVICE,"width"=>80),
					array("name"=>TEXT_RESULT_RESOURCE,"width"=>70),
					array("name"=>TEXT_RESULT_STARTDATE ,"width"=>80),
					array("name"=>TEXT_RESULT_ENDDATE ,"width"=>80),
					array("name"=>TEXT_RESULT_PAID,"width"=>65));
					
	$pdf->SetFillColor(201,201,201);
	$pdf->SetTextColor(255,255,255);
	$pdf->SetFont($font_name,'',$font_size);
	for($icnt=0;$icnt<sizeof($columns);$icnt++){
		$pdf->Cell($columns[$icnt]["width"],$cell_height,$columns[$icnt]["name"],0,0,"L",1);
	}
	$pdf->Ln();
	$rows=0;$currow=0;
	$pdf->SetFillColor(240,241,241);
	$pdf->SetTextColor(0,0,0);
	$pdf->SetDrawColor(255,255,255);
	$pdf->SetFont($font_name,'',$font_size);
	for ($icnt=0;$icnt<1;$icnt++){
	tep_db_data_seek($result_query,0);
	$pos_y=PDF_TOP_MARGIN;
	$row_height=$cell_height;
	while($result=tep_db_fetch_array($result_query)) {
			$cell_height=10;
			$pos_x=PDF_LEFT_MARGIN;
			$result['total_count']=(tep_not_null($result['total_count'])?$result['total_count']:1);
			$rows++;
			$currow++;
			if (strlen($rows) < 2) {
				$rows = '0' . $rows;
			}
			
			$payment_method=substr($result["payment_method"],0,2);
	
			$paid_text=sprintf("%s",$currencies->format(tep_add_tax($result["product_price"],$result["products_tax"])));
	
			$span=array();
			$max_row=0;
			$span["firstname"]=wrap_content($result["customers_firstname"],$columns[1]['width']);
			if (sizeof($span["firstname"])>$max_row) $max_row=sizeof($span["firstname"]);
			
			$span["lastname"]=wrap_content($result["customers_lastname"],$columns[2]['width']);
			if (sizeof($span["lastname"])>$max_row) $max_row=sizeof($span["lastname"]);
			
			$span["service"]=wrap_content($result["service_name"],$columns[3]['width']);
			if (sizeof($span["service"])>$max_row) $max_row=sizeof($span["service"]);
			
			$span["resource"]=wrap_content($result["resource_name"],$columns[4]['width']);
			if (sizeof($span["resource"])>$max_row) $max_row=sizeof($span["resource"]);
			
			$pdf->Cell($columns[0]["width"],$cell_height,$rows,1,0,"L",1);
			$pdf->Cell($columns[1]["width"],$cell_height,$span["firstname"][0],1,0,"L",1);
			$pdf->Cell($columns[2]["width"],$cell_height,$span["lastname"][0],1,0,"L",1);
			$pdf->Cell($columns[3]["width"],$cell_height,$span["service"][0],1,0,"L",1);
			$pdf->Cell($columns[4]["width"],$cell_height,$span["resource"][0],1,0,"L",1);
			$pdf->Cell($columns[5]["width"],$cell_height,format_date($result['start_date'],true) . ' '.$result['start_time'],1,0,"L",1);
			$pdf->Cell($columns[6]["width"],$cell_height,format_date($result['end_date'],true) . ' '.$result['end_time'],1,0,"L",1);

			$pdf->Cell(10,$cell_height,($result["orders_status"]==1?"P":""),0,0,"L",1);
			$pdf->Cell(37,$cell_height,$paid_text,0,0,"R",1);
			$pdf->Cell(15,$cell_height,$payment_method,0,0,"L",1);
			
			$pdf->Ln();
			
			$span_fetch=array("row","firstname","lastname","service","resource");
			for ($kcnt=1;$kcnt<$max_row;$kcnt++){
				for ($lcnt=0;$lcnt<10;$lcnt++){
					if (isset($span[$span_fetch[$lcnt]][$kcnt])){
						$pdf->Cell($columns[$lcnt]["width"],$cell_height,$span[$span_fetch[$lcnt]][$kcnt],0,0,"L",1);
					} else {
						$pdf->Cell($columns[$lcnt]["width"],$cell_height,"",0,0,"L",1);
					}
				}
				$pdf->Ln();
			}
		}
	}

	$pdf->output(DIR_FS_CATALOG . "images/bookings.pdf");


	//require(DIR_WS_INCLUDES . 'application_bottom.php');

	function wrap_content($string,$width){
		global $pdf;
		$result=array();
		$pos=-1;
		$temp_string="";
		$char="";
		for ($icnt=0;$icnt<strlen($string);$icnt++){
			$char=substr($string,$icnt,1);
			if ($pdf->GetStringWidth($temp_string . $char)>$width-2){
				$result[]=$temp_string;
				$temp_string="";
			}
			$temp_string.=$char;
		}
		if ($temp_string!="") $result[]=$temp_string;
		return $result;
	}
?>
