<?php
/*
  $Id: account_edit.php,v 1.2 2003/09/24 13:57:00 wilt Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

	$format=array('d-m-Y'=>'dd-mm-yyyy',
				  'm-d-Y'=>'mm-dd-yyyy',
				  'Y-m-d'=>'yyyy-mm-dd');

	require('includes/application_top.php');

	if (!tep_session_is_registered('customer_id')) {
		$navigation->set_snapshot();
		tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
	}

	$serverDate = date('Y-m-d H:i:s',getServerDate(false));
	// needs to be included earlier to set the success message in the messageStack
	require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ACCOUNT_EDIT);

  if (isset($HTTP_POST_VARS['action']) && ($HTTP_POST_VARS['action'] == 'process')) {
  	$username_edit=(isset($HTTP_POST_VARS["username_edit"])?'Y':'N');
	
    if (ACCOUNT_GENDER == 'true') $gender = tep_db_prepare_input($HTTP_POST_VARS['gender']);
    $firstname = tep_db_prepare_input($HTTP_POST_VARS['firstname']);
    $lastname = tep_db_prepare_input($HTTP_POST_VARS['lastname']);
    if (ACCOUNT_DOB == 'true') $dob = tep_db_prepare_input($HTTP_POST_VARS['dob']);
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email_address']);
    $confirm_email_address = tep_db_prepare_input($HTTP_POST_VARS['confirm_email_address']);
    if (ACCOUNT_SECOND_EMAIL == 'true') $second_email_address = tep_db_prepare_input($HTTP_POST_VARS['second_email_address']);
    if($second_email_address!='')$second_confirm_email_address = tep_db_prepare_input($HTTP_POST_VARS['second_confirm_email_address']);
    if (ACCOUNT_TELEPHONE == 'true') $telephone = tep_db_prepare_input($HTTP_POST_VARS['telephone']);
    if (ACCOUNT_SECOND_PHONE == 'true') $second_telephone = tep_db_prepare_input($HTTP_POST_VARS['second_telephone']);
	 if ($username_edit=='Y') $username = tep_db_prepare_input($HTTP_POST_VARS['username']);

	 $mobile = tep_db_prepare_input($HTTP_POST_VARS['mobile']);
    $error = false;
    if (ACCOUNT_GENDER == 'true') {
      if ( ($gender != 'm') && ($gender != 'f') ) {
        $error = true;

        $messageStack->add('account_edit', ENTRY_GENDER_ERROR);
      }
    }

    if (strlen($firstname) < ENTRY_FIRST_NAME_MIN_LENGTH) {
      $error = true;

      $messageStack->add('account_edit', ENTRY_FIRST_NAME_ERROR);
    }

    if (strlen($lastname) < ENTRY_LAST_NAME_MIN_LENGTH) {
      $error = true;

      $messageStack->add('account_edit', ENTRY_LAST_NAME_ERROR);
    }

    if (ACCOUNT_DOB == 'true') {
      if (!tep_check_date_raw($dob,EVENTS_DATE_FORMAT)) {
        $error = true;

        $messageStack->add('account_edit', ENTRY_EVENT_DATE_OF_BIRTH_ERROR);
      }
    }

	if ($username_edit=='Y') {
		if (strlen($username) < ENTRY_USERNAME_MIN_LENGTH) {
		  $error = true;
	
		  $messageStack->add('account_edit', ENTRY_USERNAME_ERROR);
		} else {
		  $check_name_query = tep_db_query("select count(*) as total from " . TABLE_CUSTOMERS . " where LOWER(customers_username) = '" . strtolower(tep_db_input($username)) . "'");
		  $check_name = tep_db_fetch_array($check_name_query);
		  if ($check_name['total'] > 0) {
			$error = true;
	
			$messageStack->add('account_edit', ENTRY_USERNAME_ERROR_EXISTS);
		  }
		}
	}

    if (strlen($email_address) < ENTRY_EMAIL_ADDRESS_MIN_LENGTH) {
      $error = true;

      $messageStack->add('account_edit', ENTRY_EMAIL_ADDRESS_ERROR);
    }
    
	 if($email_address!=$confirm_email_address){
	 	$error = true;
	   $messageStack->add('account_edit', ENTRY_CONFIRM_EMAIL_ADDRESS_ERROR);
	 }
	 
    if (!tep_validate_email($email_address)) {
      $error = true;

      $messageStack->add('account_edit', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }

	if($second_email_address!=''){
	 if (!tep_validate_email($second_email_address)) {
      $error = true;
      $messageStack->add('account_edit', ENTRY_SECOND_EMAIL_ADDRESS_CHECK_ERROR);
    }else  if($second_email_address!=$second_confirm_email_address){
	 		$error = true;
		   $messageStack->add('account_edit', ENTRY_SECOND_CONFIRM_EMAIL_ADDRESS_ERROR);
	 }else if($email_address==$second_email_address){
	 		$error = true;
		   $messageStack->add('account_edit', JS_SECOND_EMAIL_ADDRESS_UNIQUE);
	 }  
   }
	 
   $check_email_query = tep_db_query("select count(*) as total from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "' and customers_id != '" . (int)$customer_id . "'");
   $check_email = tep_db_fetch_array($check_email_query);
   if ($check_email['total'] > 0) {
     $error = true;

      $messageStack->add('account_edit', ENTRY_EMAIL_ADDRESS_ERROR_EXISTS);
   }

	if (ACCOUNT_TELEPHONE == 'true') {
		if (strlen($telephone) < ENTRY_TELEPHONE_MIN_LENGTH) {
		  $error = true;
	
		  $messageStack->add('account_edit', ENTRY_TELEPHONE_NUMBER_ERROR);
		}
	}
    if (strpos($mobile,"+")!==false) {
      $error = true;

      $messageStack->add('create_account', ENTRY_MOBILE_NUMBER_ERROR);
    }

    if ($error == false) {
      $sql_data_array = array('customers_firstname' => $firstname,
                              'customers_lastname' => $lastname,
                              'customers_email_address' => $email_address,
                              'customers_fax' => $mobile);

      if (ACCOUNT_SECOND_EMAIL == 'true') $sql_data_array['customers_second_email_address'] = $second_email_address;
      if (ACCOUNT_SECOND_PHONE == 'true') $sql_data_array['customers_second_telephone'] = $second_telephone;
      if (ACCOUNT_GENDER == 'true') $sql_data_array['customers_gender'] = $gender;
      if (ACCOUNT_DOB == 'true') $sql_data_array['customers_dob'] = tep_convert_date_raw($dob,EVENTS_DATE_FORMAT);
	  if (ACCOUNT_TELEPHONE == 'true') $sql_data_array['customers_telephone']=$telephone;
	  if ($username_edit=='Y') $sql_data_array['customers_username']=$username;

      tep_db_perform(TABLE_CUSTOMERS, $sql_data_array, 'update', "customers_id = '" . (int)$customer_id . "'");

      tep_db_query("update " . TABLE_CUSTOMERS_INFO . " set customers_info_date_account_last_modified ='". $serverDate ."' where customers_info_id = '" . (int)$customer_id . "'");

      $sql_data_array = array('entry_firstname' => $firstname,
                              'entry_lastname' => $lastname);

      tep_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array, 'update', "customers_id = '" . (int)$customer_id . "' and address_book_id = '" . (int)$customer_default_address_id . "'");

// reset the session variables
      $customer_first_name = $firstname;

      $messageStack->add_session('account', SUCCESS_ACCOUNT_UPDATED, 'success');

      tep_redirect(tep_href_link(FILENAME_ACCOUNT, '', 'SSL'));
    }
  }

  $account_query = tep_db_query("select customers_gender, customers_firstname, customers_lastname, customers_dob, customers_email_address, customers_second_email_address, customers_telephone, customers_second_telephone,customers_fax,customers_username from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customer_id . "'");
  $account = tep_db_fetch_array($account_query);

  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_ACCOUNT, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link(FILENAME_ACCOUNT_EDIT, '', 'SSL'));

  $content = CONTENT_ACCOUNT_EDIT;
  $javascript = 'form_check.js.php';

  require(DIR_WS_TEMPLATES . TEMPLATE_NAME . '/' . TEMPLATENAME_MAIN_PAGE);

  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
